# -*- coding: utf-8 mode: python -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

__all__ = ('db',)

from os import path

from nulib.web import lazydb, incd, excd, Row, RowCtl, Migration

db = lazydb()

class DataMigration(Migration):
    DB = db

    def version0(self):
        # my(file) est utilisé pour accéder à des fichiers resources
        mydir = path.dirname(__file__)
        my = lambda filename: path.join(mydir, filename)
migration = DataMigration()
